# Class CIM_BufferPool
extends CIM_CollectionOfMSEs

This class represents the use of buffers by a Queuing Service. The existence and management of individual buffers will be modeled in a future release. At the current level of abstraction, modeling the existence of the BufferPool is necessary. Long term, it is not sufficient. In implementations where there are multiple buffer sizes, an instance of BufferPool should be defined for each set of buffers with identical or similar sizes. These instances of buffer pools can then be grouped together using the CollectedBuffersPool association. Note that this class is derived from CollectionOfMSEs, and not from Forwarding or ConditioningService. BufferPool is only a collection of storage, and is NOT a Service.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_CollectionOfMSEs
|
+--CIM_BufferPool

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

This class represents the use of buffers by a Queuing Service. The existence and management of individual buffers will be modeled in a future release. At the current level of abstraction, modeling the existence of the BufferPool is necessary. Long term, it is not sufficient. In implementations where there are multiple buffer sizes, an instance of BufferPool should be defined for each set of buffers with identical or similar sizes. These instances of buffer pools can then be grouped together using the CollectedBuffersPool association. Note that this class is derived from CollectionOfMSEs, and not from Forwarding or ConditioningService. BufferPool is only a collection of storage, and is NOT a Service.

UMLPackagePath | string | CIM::Network::Buffers
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AvailableBuffers | uint32 |
Description | string | This property is a 32-bit unsigned integer, and defines the number of buffers in the Pool that are currently not allocated to any instance of a QueuingService. Buffers allocated to a QueuingService could either be in use (containing packet data), or allocated to a Queue pending the arrival of new packet data.
BufferSize | uint16 |
Deprecated | string | CIM_BufferPool.SizeOfBuffers
Description | string | This property is a 16-bit unsigned integer, and defines the number of bytes in each buffer. It is deprecated in lieu of a similar uint32 property.
Units | string | Bytes
CollectionID | string |
Description | string | This property is defined in the CollectionOfMSEs class, but is overridden here to serve as part of the (composite) key that identifies the BufferPool instance.
Key | boolean | true
MaxLen | uint32 | 256
Override | string | CollectionID
CreationClassName | string |
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
Name | string |
Description | string | The Name property defines the label by which the object is known.
MaxLen | uint32 | 256
SharedBuffers | uint32 |
Description | string | This property is a 32-bit unsigned integer, and defines the number of buffers in the Pool that have been simultaneously allocated to multiple instances of QueuingService.
SizeOfBuffers | uint32 |
Description | string | This property is a 32-bit unsigned integer, and defines the number of bytes in each buffer.
Units | string | Bytes
TotalBuffers | uint32 |
Description | string | This property is a 32-bit unsigned integer, and defines the total number of buffers in the Pool.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods